Page MenuHomePhabricator

ci: add autoconf caching
ClosedPublic

Authored by zmike on Jul 17 2018, 1:48 PM.

Details

Summary

this enables caching of the autoreconf and ./configure stages of the build
using autotools-provided caching mechanisms in order to speed up these steps

fix T7136

Depends on D6607

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zmike created this revision.Jul 17 2018, 1:48 PM
zmike requested review of this revision.Jul 17 2018, 1:48 PM
zmike updated this revision to Diff 15790.Jul 23 2018, 4:44 AM
zmike edited the summary of this revision. (Show Details)
zmike added a project: Restricted Project.

I remember that Cedric or someone else tried this as default for our efl builds a long time ago. I kind of remember we had some problem with stale caches. But I don't remember the details.

Do you have any number on the time improvement this brings?

To make it clear, I am not against this change. I just see some risk in it and wonder how much the benefit actually is.

.travis.yml
2

The ccache keyword is no longer needed? It does nothing else besides: directories: - $HOME/.ccache ?

zmike added a comment.Jul 25 2018, 8:30 AM

"stale cache" is basically if you change your compiler toolchain and don't rebuild the cache. This is easily done.

The ccache here saves around 20s on each build.

.travis.yml
2

It has the same effect when written in this way.

stefan_schmidt accepted this revision.Jul 26 2018, 12:42 AM
This revision is now accepted and ready to land.Jul 26 2018, 12:42 AM
This revision was automatically updated to reflect the committed changes.